## ruby-escape 0.2

=== Makefile ===
rdoc:
	rdoc --op rdoc escape.rb

README: misc/README.erb
	erb misc/README.erb > README

=== debian/changelog ===
ruby-escape (0.2-6) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + ruby-escape: Add :any qualifier for ruby dependency.
  * Bump debhelper from old 12 to 13.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Aug 2025 16:20:36 +0000

ruby-escape (0.2-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:22:53 +0200

ruby-escape (0.2-5) unstable; urgency=medium

  * Team upload.
  * Update packaging with a new dh-make-ruby run
  * Move gemspec provided by the Debian packaging to
    debian/patches/0001-Add-gemspec.patch so that it is also available when
    running autopkgtest.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Mar 2016 11:07:43 -0300

ruby-escape (0.2-4) unstable; urgency=low

  * Team upload.
  * d/control:
    - removed transitional package
    - changed my mail address to @debian.org

 -- Jonas Genannt <genannt@debian.org>  Sat, 02 May 2015 17:41:43 +0200

ruby-escape (0.2-3) unstable; urgency=low

  * Team upload.
  * d/ruby-tests.rb: removed modify of library load path
  * d/control:
    - bumped up standards version to 3.9.6 (no changes needed)
    - added testsuite header

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 13 Oct 2014 14:03:59 +0200

ruby-escape (0.2-2) unstable; urgency=low

  * recreated debian/
   - with gem2deb libruby-escape => ruby-escape (Closes: #722385)
   - added Homepage field (Closes: #615363)
   - better long Description
  * change Maintainer to Ruby pkg group (Closes: #677287)
  * added myself as Uploader

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Mon, 25 Nov 2013 18:00:49 +0100

libescape-ruby (0.2-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu,  1 Mar 2007 12:06:33 +0900

libescape-ruby (0.1-1) unstable; urgency=low

  * Initial release (Closes: #406156).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jan 2007 13:14:15 +0900

=== debian/control ===
Source: ruby-escape
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: NIIBE Yutaka <gniibe@fsij.org>,
           Jonas Genannt <genannt@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               rake
Standards-Version: 3.9.7
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-escape.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-escape
Homepage: http://www.a-k-r.org/escape/
XS-Ruby-Versions: all
Testsuite: autopkgtest-pkg-ruby

Package: ruby-escape
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTML/URI/shell escaping utilities for Ruby
 For Ruby programmers, this utility provides several escaping functions
 for HTML, URI, and shell command line handling. This library is an full
 replacement for Ruby internal escaping Shellwords module.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

# move escape.rb into lib on buildtime, because gem2deb needs lib/
override_dh_auto_configure:
	mkdir lib
	cp escape.rb lib/
	dh_auto_configure -O--buildsystem=ruby

override_dh_auto_clean:
	rm -rf lib
	dh_auto_clean -O--buildsystem=ruby

=== debian/watch ===
version=3
http://www.a-k-r.org/escape/escape-(.*)\.tar\.gz
